[Deprecated]: V1
post
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/subjects
Deprecated: Adds a subject to a study.
Rights: DataCaptureSubjectPost and SubjectDataClassificationPost.
Rights: DataCaptureSubjectPost and SubjectDataClassificationPost.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890
Supported Media Types
- application/json
Root Schema : schema
Type:
objectContains details related to subject
Show Source
-
SubjectDto: object
SubjectDto1
Base subject details including identity, demographics, study and site context, and state transitions
Nested Schema : SubjectDto1
Type:
objectBase subject details including identity, demographics, study and site context, and state transitions
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for latest subject updateExample:Initial enrollment -
description: string
Minimum Length:
0Maximum Length:500Free text description for the subjectExample:Screened subject -
dob: string
(date-time)
Date of birth
-
enrollmentFailure: string
Minimum Length:
0Maximum Length:255Reason for enrollment failure, if anyExample:Consent withdrawn -
enrollmentOverride: string
Minimum Length:
0Maximum Length:255If subject enrollment is overridden.Example:Subject Enrollment Overridden -
gender: string
Minimum Length:
0Maximum Length:10Gender valueExample:[{"value":"1","label":"male"}] -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subjectExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
informedConsentDate: string
(date-time)
Informed consent dateExample:
2025-09-25T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason for latest subject updateExample:Protocol break happened -
screeningDate: string
(date-time)
Screening date if applicableExample:
2025-10-01T10:00:00Z -
screeningFailure: string
Minimum Length:
0Maximum Length:255Reason for screening failure, if anyExample:Inclusion criteria not met -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
stateDate: string
(date-time)
Timestamp when the subject transitioned to current stateExample:
2025-10-16T14:30:31.892Z -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z
Response
Supported Media Types
- application/json
200 Response
Subjects success.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
400 Response
Bad request.
Root Schema : SubjectDto1
Type:
objectBase subject details including identity, demographics, study and site context, and state transitions
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048Comment for latest subject updateExample:Initial enrollment -
description: string
Minimum Length:
0Maximum Length:500Free text description for the subjectExample:Screened subject -
dob: string
(date-time)
Date of birth
-
enrollmentFailure: string
Minimum Length:
0Maximum Length:255Reason for enrollment failure, if anyExample:Consent withdrawn -
enrollmentOverride: string
Minimum Length:
0Maximum Length:255If subject enrollment is overridden.Example:Subject Enrollment Overridden -
gender: string
Minimum Length:
0Maximum Length:10Gender valueExample:[{"value":"1","label":"male"}] -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the subjectExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
informedConsentDate: string
(date-time)
Informed consent dateExample:
2025-09-25T09:00:00Z -
reason: string
Minimum Length:
0Maximum Length:255Reason for latest subject updateExample:Protocol break happened -
screeningDate: string
(date-time)
Screening date if applicableExample:
2025-10-01T10:00:00Z -
screeningFailure: string
Minimum Length:
0Maximum Length:255Reason for screening failure, if anyExample:Inclusion criteria not met -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
state(required): string
Minimum Length:
0Maximum Length:100Lifecycle state of the subject in the study. Reflects the subject???s current status. Common values include:- New
- Active
- Screening_Initiated
- Screen_Failed
- Withdrawn
- Auto_Screen_Failed
- Complete
- Enrolled
Example:Active -
stateDate: string
(date-time)
Timestamp when the subject transitioned to current stateExample:
2025-10-16T14:30:31.892Z -
studyId: string
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
studyVersion(required): string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectNumber(required): string
Minimum Length:
0Maximum Length:500Unique subject Number representing the patient/participant enrolled in the study.Example:SUBJ-0001 -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2025-10-16T14:30:31.892Z